org.jboss.netty.handler.codec.spdy

## Class SpdyFrameCodec

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.SpdyFrameCodec

- All Implemented Interfaces:
    ChannelDownstreamHandler, ChannelHandler, ChannelUpstreamHandler

      public class SpdyFrameCodec
      extends Object
      implements ChannelUpstreamHandler, ChannelDownstreamHandler

  A combination of `SpdyFrameDecoder` and `SpdyFrameEncoder`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpdyFrameCodec()` Deprecated.
    `SpdyFrameCodec(int version)` Creates a new instance with the specified `version` and the default decoder and encoder options (`maxChunkSize (8192)`, `maxHeaderSize (16384)`, `compressionLevel (6)`, `windowBits (15)`, and `memLevel (8)`).
    `SpdyFrameCodec(int version, int maxChunkSize, int maxHeaderSize, int compressionLevel, int windowBits, int memLevel)` Creates a new instance with the specified decoder and encoder options.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleDownstream(ChannelHandlerContext ctx, ChannelEvent e)` Handles the specified downstream event.
    `void` | `handleUpstream(ChannelHandlerContext ctx, ChannelEvent e)` Handles the specified upstream event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpdyFrameCodec

          @Deprecated
          public SpdyFrameCodec()

      Deprecated.
      Creates a new instance with the default decoder and encoder options (`version (2)`, `maxChunkSize (8192)`, `maxHeaderSize (16384)`, `compressionLevel (6)`, `windowBits (15)`, and `memLevel (8)`).

    - #### SpdyFrameCodec

          public SpdyFrameCodec(int version)

      Creates a new instance with the specified `version` and the default decoder and encoder options (`maxChunkSize (8192)`, `maxHeaderSize (16384)`, `compressionLevel (6)`, `windowBits (15)`, and `memLevel (8)`).

    - #### SpdyFrameCodec

          public SpdyFrameCodec(int version,
                        int maxChunkSize,
                        int maxHeaderSize,
                        int compressionLevel,
                        int windowBits,
                        int memLevel)

      Creates a new instance with the specified decoder and encoder options.

  - ### Method Detail

    - #### handleUpstream

          public void handleUpstream(ChannelHandlerContext ctx,
                            ChannelEvent e)
                              throws Exception

      Description copied from interface: `ChannelUpstreamHandler`
      Handles the specified upstream event.
      Specified by:
        `handleUpstream` in interface `ChannelUpstreamHandler`
      Parameters:
        `ctx` - the context object for this handler
        `e` - the upstream event to process or intercept
      Throws:
        `Exception`

    - #### handleDownstream

          public void handleDownstream(ChannelHandlerContext ctx,
                              ChannelEvent e)
                                throws Exception

      Description copied from interface: `ChannelDownstreamHandler`
      Handles the specified downstream event.
      Specified by:
        `handleDownstream` in interface `ChannelDownstreamHandler`
      Parameters:
        `ctx` - the context object for this handler
        `e` - the downstream event to process or intercept
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.